apiVersion: v1
kind: Service
metadata:
  name: easy2track-website
  namespace: planblick
  labels:
    app: easy2track-website
spec:
  ports:
  - name: http
    port: 80
    targetPort: 80
  selector:
    app: easy2track-website
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: easy2track-website
  namespace: planblick
  labels:
    app: easy2track-website
spec:
  replicas: 1
  selector:
    matchLabels:
      app: easy2track-website
  template:
    metadata:
      labels:
        app: easy2track-website
        app.instance: new
    spec:
      containers:
      - name: easy2track-website
        image: registry.gitlab.com/planblick_os/frontends/easy2track-website:[version]
        env:
        - name: URL
          value: "stagingwww.easy2track.de"
        ports:
        - name: http
          containerPort: 80
        livenessProbe:
          httpGet:
            path: /
            port: 80
          periodSeconds: 11
          timeoutSeconds: 10
          successThreshold: 1
          failureThreshold: 12
      imagePullSecrets:
        - name: regcred